/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.sikd5.sikd5ejb.session;

import java.util.Date;
import java.util.List;

import javax.ejb.Remote;

import sikd.sikd5.sikd5bean.query.AmbilPosisiKasBean;
import sikd.sikd5.sikd5bean.query.InfoPengiriman;
import sikd.sikd5.sikd5bean.tabel.simpatik.Posisikasakun;
import sikd.sikd5.sikd5bean.ws.simpatik.PosisiKas_WS;

/**
 *
 * @author agus
 */
@Remote
public interface PosisiKasSessionBeanRemote {

	public long insert(PosisiKas_WS posisiKas, String nmfile) throws Exception;
	public String getInfoPengiriman(String kodeSatker, short tahun, short periode) throws Exception;
	public List<InfoPengiriman> getInfoPengirimanXmlPerBulan(String kodeSatker, short tahun) throws Exception;
	public List<InfoPengiriman> getInfoPengirimanXmlPerPemda(short tahun,short bulan,Date tgawal, Date tgakhir) throws Exception;
	public List<Posisikasakun> getPosisiKasAkun(String kodeSatker, short tahun, short bulan) throws Exception;
	public List<AmbilPosisiKasBean> ambilPosisiKasPerPemda(short tahun, short bulan, Date tgakhir,String[] inAkun) throws Exception;
	public List<AmbilPosisiKasBean> ambilPosisiKasGakRinciPerPemda(short tahun, short bulan, Date tgakhir,String[] inAkun) throws Exception;

}
